# DataExchange
TKSTEP
StepAP214

# StepAP214_AppliedPersonAndOrganizationAssignment Class Reference

`#include <StepAP214_AppliedPersonAndOrganizationAssignment.hxx>`

Inheritance diagram for StepAP214_AppliedPersonAndOrganizationAssignment:

[legend]

## Public Member Functions

Standard_EXPORT | StepAP214_AppliedPersonAndOrganizationAssignment ()
| Returns a AutoDesignDateAndPersonAssignment .
virtual Standard_EXPORT void | Init (const Handle(StepBasic_PersonAndOrganization)&aAssignedPersonAndOrganization, const Handle(StepBasic_PersonAndOrganizationRole)&aRole)
virtual Standard_EXPORT void | Init (const Handle(StepBasic_PersonAndOrganization)&aAssignedPersonAndOrganization, const Handle(StepBasic_PersonAndOrganizationRole)&aRole, const Handle(StepAP214_HArray1OfPersonAndOrganizationItem)&aItems)
Standard_EXPORT void | SetItems (const Handle(StepAP214_HArray1OfPersonAndOrganizationItem)&aItems)
Standard_EXPORT Handle_StepAP214_HArray1OfPersonAndOrganizationItem | Items () const
Standard_EXPORT StepAP214_PersonAndOrganizationItem | ItemsValue (const Standard_Integer num) const
Standard_EXPORT Standard_Integer | NbItems () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepAP214_HArray1OfPersonAndOrganizationItem | items

## Constructor & Destructor Documentation

Standard_EXPORT StepAP214_AppliedPersonAndOrganizationAssignment::StepAP214_AppliedPersonAndOrganizationAssignment | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepAP214_AppliedPersonAndOrganizationAssignment::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepBasic_PersonAndOrganizationAssignment.

virtual Standard_EXPORT void StepAP214_AppliedPersonAndOrganizationAssignment::Init | ( | const Handle(StepBasic_PersonAndOrganization)& | aAssignedPersonAndOrganization,
|  | const Handle(StepBasic_PersonAndOrganizationRole)& | aRole,
|  | const Handle(StepAP214_HArray1OfPersonAndOrganizationItem)& | aItems
| ) | `[virtual]`

virtual Standard_EXPORT void StepAP214_AppliedPersonAndOrganizationAssignment::Init | ( | const Handle(StepBasic_PersonAndOrganization)& | aAssignedPersonAndOrganization,
|  | const Handle(StepBasic_PersonAndOrganizationRole)& | aRole
| ) | `[virtual]`

| Reimplemented from StepBasic_PersonAndOrganizationAssignment.

Standard_EXPORT Handle_StepAP214_HArray1OfPersonAndOrganizationItem StepAP214_AppliedPersonAndOrganizationAssignment::Items | ( |  | ) | const

Standard_EXPORT StepAP214_PersonAndOrganizationItem StepAP214_AppliedPersonAndOrganizationAssignment::ItemsValue | ( | const Standard_Integer | num | ) | const

Standard_EXPORT Standard_Integer StepAP214_AppliedPersonAndOrganizationAssignment::NbItems | ( |  | ) | const

Standard_EXPORT void StepAP214_AppliedPersonAndOrganizationAssignment::SetItems | ( | const Handle(StepAP214_HArray1OfPersonAndOrganizationItem)& | aItems | ) |

## Field Documentation

Handle_StepAP214_HArray1OfPersonAndOrganizationItem StepAP214_AppliedPersonAndOrganizationAssignment::items`[private]`

The documentation for this class was generated from the following file:

- StepAP214_AppliedPersonAndOrganizationAssignment.hxx